import Logger from '../Logger';
import Service from '../service/Service';
import DiscordClient from './DiscordClient';
import BoltzClient from '../boltz/BoltzClient';
import Swap from '../db/models/Swap';
import ReverseSwap from '../db/models/ReverseSwap';
import SwapRepository from '../service/SwapRepository';
import ReverseSwapRepository from '../service/ReverseSwapRepository';
/**
 * Gets all successful (reverse) swaps
 */
export declare const getSuccessfulTrades: (swapRepository: SwapRepository, reverseSwapRepository: ReverseSwapRepository) => Promise<{
    swaps: Swap[];
    reverseSwaps: ReverseSwap[];
}>;
declare class CommandHandler {
    private logger;
    private service;
    private boltz;
    private discord;
    private commands;
    constructor(logger: Logger, service: Service, boltz: BoltzClient, discord: DiscordClient);
    /**
     * Command executors
     */
    private getBalance;
    private getFees;
    private swapInfo;
    private newAddress;
    private toggleReverseSwaps;
    private help;
    /**
     * Helper functions
     */
    private getOutputType;
    private getFeeFromSwaps;
    private sendCouldNotFindSwap;
}
export default CommandHandler;
